package server.command;

import java.util.Collection;

import server.network.Player;
import server.network.User;

public class UserParser extends CompletingParser {
	protected final boolean useSender;
	
	public UserParser(String name, boolean useSender) {
		super(name);
		this.useSender = useSender;
	}

	public Object parse(CommandEnvironment env, String input) {
		User user = env.getServer().getUser(input);
		if(user == null)
			throw new RunException("Nutzer '%s' wurde nicht gefunden", input);
		return user;
	}
	
	public Object getDefault(CommandEnvironment env) {
		return this.useSender && env.getExecutor().isPlayer() ? (Player)env.getExecutor() : null;
	}
	
	public Collection<String> getCompletions(CommandEnvironment env) {
		return env.getServer().getAllUserNames();
	}

	public Class<?> getTypeClass(boolean required) {
		return User.class;
	}
}
