package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.RunException;
import server.network.Player;
import server.network.User;

public class CommandAdmin extends Command {
	public CommandAdmin() {
		super("admin");
		
		this.addUser("user", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, User user) {
		if(user == exec)
			throw new RunException("Du kannst nicht deinen eigenen Admin-Status erneut setzen");
		else if(user.isAdmin())
			throw new RunException("%s ist bereits ein Admin", user.getUser());
		user.setAdmin(true);
		if(user.isOnline())
			((Player)user).logConsole("Du hast Administatorrechte von %s bekommen", exec.getExecId());
		exec.logConsole("%s ist jetzt ein Admin", user.getUser());
	}
}
