package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.RunException;
import server.network.Player;
import server.network.User;

public class CommandRevoke extends Command {
	public CommandRevoke() {
		super("revoke");
		
		this.addUser("user", false);
	}
	
	public void exec(CommandEnvironment env, Executor exec, User user) {
		if(!exec.isConsole())
			throw new RunException("Dieser Befehl kann nur der Konsole ausgeführt werden");
//		else if(player == exec)
//			throw new RunException("Du kannst nicht deinen eigenen Admin-Status entfernen");
		else if(!user.isAdmin())
			throw new RunException("%s ist kein Admin", user.getUser());
		user.setAdmin(false);
		if(user.isOnline())
			((Player)user).logConsole("Der Host hat deine Administatorrechte entfernt");
		exec.logConsole("%s ist jetzt kein Admin mehr", user.getUser());
	}
}
